org.bouncycastle.sasn1

## Class Asn1Generator

- java.lang.Object
- - org.bouncycastle.sasn1.Asn1Generator

Direct Known Subclasses:
  BerGenerator, DerGenerator

Deprecated.
use org.bouncycastle.asn1.ASN1Generator

    public abstract class Asn1Generator
    extends java.lang.Object

### Field Summary

Fields
`protected java.io.OutputStream` `_out` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`Asn1Generator(java.io.OutputStream out)` Deprecated.

### Method Summary

Methods
`abstract java.io.OutputStream` `getRawOutputStream()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _out

    protected java.io.OutputStream _out

Deprecated.

### Constructor Detail

#### Asn1Generator

    public Asn1Generator(java.io.OutputStream out)

Deprecated.

### Method Detail

#### getRawOutputStream

    public abstract java.io.OutputStream getRawOutputStream()

Deprecated.